@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;700&display=swap');

body {
  font-family: 'Poppins', sans-serif;
  background-color: #0B0A1A !important;
  background-size: cover;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  margin: 0 auto !important;
}

p {
    color: white;
    font-size: 20px;
    font-family: 'Poppins', sans-serif;
    font-weight: 200;
    margin: 0;
}

/* Finding your desire*/
.text-matching{
  color: #333333;
  font-weight: 700;
}

.preloader {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: white;
    text-align: center;
}

.space{
    padding: 30px 0;
}

.background-heart {
	background: #333333;
	border-radius: 50%;
	box-shadow: 0 0 0 0 rgba(0, 0, 0, 1);
	margin: 10px;
	height: auto;
	width: 200px;
	transform: scale(1);
	animation: pulse-black 1s infinite;
}

.background-heart.pink {
	background: white;
	box-shadow: 0 0 0 0 rgb(255, 255, 255);
	animation: pulse-pink 1s infinite;
}

@keyframes pulse-pink {
	0% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgb(247, 216, 127 / 100%);
	}

	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgb(247 216 127 / 45%);
	}

	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgb(247 216 127 / 10%);
	}
}

.loading{
  position: relative;
  height: 22px;
  width: 100%;
  border-radius: 100px;
  background-color: #333333;
}


.loading .loading-secondary{
  position: absolute;
  background-color: #F7D87F;
  width: 0px;
  height: 22px;
  border-radius: 100px;
  animation: loading 2.5s infinite linear;
}

@keyframes loading{
    0% {
      width: 0%;
    }
    25%{
        width: 50%;
    }
    50%{
        width: 75%;
    }
    75%{
        width: 85%;
    }
    100%{
        width: 100%;
    }
}

/* Legal notice */
.legal {
    padding: 15px 0;
    width: 100%;
    color: white;
  }

  .styleterms {
    text-decoration: none;
    color: white;
    font-size: 13px;
    padding: 0 5px 0 5px;
    font-weight: 700;
  }

  .styleterms::before {
    color: white;

  }

  .links {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .descriptionlegal {
    font-size: 13px;
    text-align: center;
  }

.desktopClass{
  width: 100vw!important;
}

  @media screen and (min-width: 1250px){
    .desktopClass{
      width: 40% !important;
      height: auto !important;
    }
  }
